## org.eclipse.datatools.modelbase.sql.datatypes
Interface SQLDataTypesPackage.Literals

Enclosing interface:
  SQLDataTypesPackage

public static interface SQLDataTypesPackage.Literals

Defines literals for the meta objects that represent

- each class,
- each feature of each class,
- each enum,
- and each data type

Field Summary
`static EClass` `APPROXIMATE_NUMERIC_DATA_TYPE` The meta object literal for the '`Approximate Numeric Data Type`' class.
`static EClass` `ARRAY_DATA_TYPE` The meta object literal for the '`Array Data Type`' class.
`static EAttribute` `ARRAY_DATA_TYPE__MAX_CARDINALITY` The meta object literal for the 'Max Cardinality' attribute feature.
`static EClass` `ATTRIBUTE_DEFINITION` The meta object literal for the '`Attribute Definition`' class.
`static EAttribute` `ATTRIBUTE_DEFINITION__DEFAULT_VALUE` The meta object literal for the 'Default Value' attribute feature.
`static EAttribute` `ATTRIBUTE_DEFINITION__SCOPE_CHECK` The meta object literal for the 'Scope Check' attribute feature.
`static EAttribute` `ATTRIBUTE_DEFINITION__SCOPE_CHECKED` The meta object literal for the 'Scope Checked' attribute feature.
`static EClass` `BINARY_STRING_DATA_TYPE` The meta object literal for the '`Binary String Data Type`' class.
`static EAttribute` `BINARY_STRING_DATA_TYPE__LENGTH` The meta object literal for the 'Length' attribute feature.
`static EClass` `BOOLEAN_DATA_TYPE` The meta object literal for the '`Boolean Data Type`' class.
`static EClass` `CHARACTER_SET` The meta object literal for the '`Character Set`' class.
`static EAttribute` `CHARACTER_SET__DEFAULT_COLLATION` The meta object literal for the 'Default Collation' attribute feature.
`static EAttribute` `CHARACTER_SET__ENCODING` The meta object literal for the 'Encoding' attribute feature.
`static EAttribute` `CHARACTER_SET__REPERTOIRE` The meta object literal for the 'Repertoire' attribute feature.
`static EReference` `CHARACTER_SET__SCHEMA` The meta object literal for the 'Schema' reference feature.
`static EClass` `CHARACTER_STRING_DATA_TYPE` The meta object literal for the '`Character String Data Type`' class.
`static EReference` `CHARACTER_STRING_DATA_TYPE__CHARACTER_SET` The meta object literal for the 'Character Set' reference feature.
`static EAttribute` `CHARACTER_STRING_DATA_TYPE__COERCIBILITY` The meta object literal for the 'Coercibility' attribute feature.
`static EAttribute` `CHARACTER_STRING_DATA_TYPE__COLLATION_NAME` The meta object literal for the 'Collation Name' attribute feature.
`static EAttribute` `CHARACTER_STRING_DATA_TYPE__FIXED_LENGTH` The meta object literal for the 'Fixed Length' attribute feature.
`static EAttribute` `CHARACTER_STRING_DATA_TYPE__LENGTH` The meta object literal for the 'Length' attribute feature.
`static EEnum` `COERCIBILITY_TYPE` The meta object literal for the '`Coercibility Type`' enum.
`static EClass` `COLLECTION_DATA_TYPE` The meta object literal for the '`Collection Data Type`' class.
`static EReference` `COLLECTION_DATA_TYPE__ELEMENT` The meta object literal for the 'Element' reference list feature.
`static EClass` `CONSTRUCTED_DATA_TYPE` The meta object literal for the '`Constructed Data Type`' class.
`static EClass` `DATA_LINK_DATA_TYPE` The meta object literal for the '`Data Link Data Type`' class.
`static EAttribute` `DATA_LINK_DATA_TYPE__INTEGRITY_CONTROL` The meta object literal for the 'Integrity Control' attribute feature.
`static EAttribute` `DATA_LINK_DATA_TYPE__LENGTH` The meta object literal for the 'Length' attribute feature.
`static EAttribute` `DATA_LINK_DATA_TYPE__LINK_CONTROL` The meta object literal for the 'Link Control' attribute feature.
`static EAttribute` `DATA_LINK_DATA_TYPE__READ_PERMISSION` The meta object literal for the 'Read Permission' attribute feature.
`static EAttribute` `DATA_LINK_DATA_TYPE__RECOVERY` The meta object literal for the 'Recovery' attribute feature.
`static EAttribute` `DATA_LINK_DATA_TYPE__UNLINK` The meta object literal for the 'Unlink' attribute feature.
`static EAttribute` `DATA_LINK_DATA_TYPE__WRITE_PERMISSION` The meta object literal for the 'Write Permission' attribute feature.
`static EClass` `DATA_TYPE` The meta object literal for the '`Data Type`' class.
`static EClass` `DATE_DATA_TYPE` The meta object literal for the '`Date Data Type`' class.
`static EClass` `DISTINCT_USER_DEFINED_TYPE` The meta object literal for the '`Distinct User Defined Type`' class.
`static EReference` `DISTINCT_USER_DEFINED_TYPE__PREDEFINED_REPRESENTATION` The meta object literal for the 'Predefined Representation' containment reference feature.
`static EClass` `DOMAIN` The meta object literal for the '`Domain`' class.
`static EReference` `DOMAIN__CONSTRAINT` The meta object literal for the 'Constraint' containment reference list feature.
`static EAttribute` `DOMAIN__DEFAULT_VALUE` The meta object literal for the 'Default Value' attribute feature.
`static EClass` `EXACT_NUMERIC_DATA_TYPE` The meta object literal for the '`Exact Numeric Data Type`' class.
`static EAttribute` `EXACT_NUMERIC_DATA_TYPE__SCALE` The meta object literal for the 'Scale' attribute feature.
`static EClass` `FIELD` The meta object literal for the '`Field`' class.
`static EAttribute` `FIELD__SCOPE_CHECK` The meta object literal for the 'Scope Check' attribute feature.
`static EAttribute` `FIELD__SCOPE_CHECKED` The meta object literal for the 'Scope Checked' attribute feature.
`static EClass` `FIXED_PRECISION_DATA_TYPE` The meta object literal for the '`Fixed Precision Data Type`' class.
`static EClass` `INTEGER_DATA_TYPE` The meta object literal for the '`Integer Data Type`' class.
`static EEnum` `INTEGRITY_CONTROL_OPTION` The meta object literal for the '`Integrity Control Option`' enum.
`static EClass` `INTERVAL_DATA_TYPE` The meta object literal for the '`Interval Data Type`' class.
`static EAttribute` `INTERVAL_DATA_TYPE__FRACTIONAL_SECONDS_PRECISION` The meta object literal for the 'Fractional Seconds Precision' attribute feature.
`static EAttribute` `INTERVAL_DATA_TYPE__LEADING_FIELD_PRECISION` The meta object literal for the 'Leading Field Precision' attribute feature.
`static EAttribute` `INTERVAL_DATA_TYPE__LEADING_QUALIFIER` The meta object literal for the 'Leading Qualifier' attribute feature.
`static EAttribute` `INTERVAL_DATA_TYPE__TRAILING_FIELD_PRECISION` The meta object literal for the 'Trailing Field Precision' attribute feature.
`static EAttribute` `INTERVAL_DATA_TYPE__TRAILING_QUALIFIER` The meta object literal for the 'Trailing Qualifier' attribute feature.
`static EEnum` `INTERVAL_QUALIFIER_TYPE` The meta object literal for the '`Interval Qualifier Type`' enum.
`static EEnum` `LINK_CONTROL_OPTION` The meta object literal for the '`Link Control Option`' enum.
`static EClass` `MULTISET_DATA_TYPE` The meta object literal for the '`Multiset Data Type`' class.
`static EClass` `NUMERICAL_DATA_TYPE` The meta object literal for the '`Numerical Data Type`' class.
`static EAttribute` `NUMERICAL_DATA_TYPE__PRECISION` The meta object literal for the 'Precision' attribute feature.
`static EEnum` `ORDERING_CATEGORY_TYPE` The meta object literal for the '`Ordering Category Type`' enum.
`static EEnum` `ORDERING_TYPE` The meta object literal for the '`Ordering Type`' enum.
`static EClass` `PREDEFINED_DATA_TYPE` The meta object literal for the '`Predefined Data Type`' class.
`static EAttribute` `PREDEFINED_DATA_TYPE__PRIMITIVE_TYPE` The meta object literal for the 'Primitive Type' attribute feature.
`static EEnum` `PRIMITIVE_TYPE` The meta object literal for the '`Primitive Type`' enum.
`static EEnum` `READ_PERMISSION_OPTION` The meta object literal for the '`Read Permission Option`' enum.
`static EClass` `REFERENCE_DATA_TYPE` The meta object literal for the '`Reference Data Type`' class.
`static EReference` `REFERENCE_DATA_TYPE__REFERENCED_TYPE` The meta object literal for the 'Referenced Type' reference feature.
`static EReference` `REFERENCE_DATA_TYPE__SCOPE_TABLE` The meta object literal for the 'Scope Table' reference feature.
`static EClass` `ROW_DATA_TYPE` The meta object literal for the '`Row Data Type`' class.
`static EReference` `ROW_DATA_TYPE__FIELDS` The meta object literal for the 'Fields' containment reference list feature.
`static EClass` `SQL_DATA_TYPE` The meta object literal for the '`SQL Data Type`' class.
`static EClass` `STRUCTURED_USER_DEFINED_TYPE` The meta object literal for the '`Structured User Defined Type`' class.
`static EReference` `STRUCTURED_USER_DEFINED_TYPE__ATTRIBUTES` The meta object literal for the 'Attributes' containment reference list feature.
`static EAttribute` `STRUCTURED_USER_DEFINED_TYPE__FINAL` The meta object literal for the 'Final' attribute feature.
`static EAttribute` `STRUCTURED_USER_DEFINED_TYPE__INSTANTIABLE` The meta object literal for the 'Instantiable' attribute feature.
`static EReference` `STRUCTURED_USER_DEFINED_TYPE__METHODS` The meta object literal for the 'Methods' containment reference list feature.
`static EReference` `STRUCTURED_USER_DEFINED_TYPE__SUB` The meta object literal for the 'Sub' reference list feature.
`static EReference` `STRUCTURED_USER_DEFINED_TYPE__SUPER` The meta object literal for the 'Super' reference feature.
`static EClass` `TIME_DATA_TYPE` The meta object literal for the '`Time Data Type`' class.
`static EAttribute` `TIME_DATA_TYPE__FRACTIONAL_SECONDS_PRECISION` The meta object literal for the 'Fractional Seconds Precision' attribute feature.
`static EAttribute` `TIME_DATA_TYPE__TIME_ZONE` The meta object literal for the 'Time Zone' attribute feature.
`static EEnum` `UNLINK_OPTION` The meta object literal for the '`Unlink Option`' enum.
`static EClass` `USER_DEFINED_TYPE` The meta object literal for the '`User Defined Type`' class.
`static EReference` `USER_DEFINED_TYPE__ORDERING` The meta object literal for the 'Ordering' containment reference feature.
`static EReference` `USER_DEFINED_TYPE__SCHEMA` The meta object literal for the 'Schema' reference feature.
`static EClass` `USER_DEFINED_TYPE_ORDERING` The meta object literal for the '`User Defined Type Ordering`' class.
`static EAttribute` `USER_DEFINED_TYPE_ORDERING__ORDERING_CATEGORY` The meta object literal for the 'Ordering Category' attribute feature.
`static EAttribute` `USER_DEFINED_TYPE_ORDERING__ORDERING_FORM` The meta object literal for the 'Ordering Form' attribute feature.
`static EReference` `USER_DEFINED_TYPE_ORDERING__ORDERING_ROUTINE` The meta object literal for the 'Ordering Routine' reference feature.
`static EEnum` `WRITE_PERMISSION_OPTION` The meta object literal for the '`Write Permission Option`' enum.
`static EClass` `XML_DATA_TYPE` The meta object literal for the '`XML Data Type`' class.

Field Detail

### USER_DEFINED_TYPE

    public static final EClass USER_DEFINED_TYPE

  The meta object literal for the '`User Defined Type`' class.

  See Also:
    `UserDefinedTypeImpl`, `SQLDataTypesPackageImpl.getUserDefinedType()`

### USER_DEFINED_TYPE__SCHEMA

    public static final EReference USER_DEFINED_TYPE__SCHEMA

  The meta object literal for the 'Schema' reference feature.

### USER_DEFINED_TYPE__ORDERING

    public static final EReference USER_DEFINED_TYPE__ORDERING

  The meta object literal for the 'Ordering' containment reference feature.

### DATA_TYPE

    public static final EClass DATA_TYPE

  The meta object literal for the '`Data Type`' class.

  See Also:
    `DataTypeImpl`, `SQLDataTypesPackageImpl.getDataType()`

### PREDEFINED_DATA_TYPE

    public static final EClass PREDEFINED_DATA_TYPE

  The meta object literal for the '`Predefined Data Type`' class.

  See Also:
    `PredefinedDataTypeImpl`, `SQLDataTypesPackageImpl.getPredefinedDataType()`

### PREDEFINED_DATA_TYPE__PRIMITIVE_TYPE

    public static final EAttribute PREDEFINED_DATA_TYPE__PRIMITIVE_TYPE

  The meta object literal for the 'Primitive Type' attribute feature.

### COLLECTION_DATA_TYPE

    public static final EClass COLLECTION_DATA_TYPE

  The meta object literal for the '`Collection Data Type`' class.

  See Also:
    `CollectionDataTypeImpl`, `SQLDataTypesPackageImpl.getCollectionDataType()`

### COLLECTION_DATA_TYPE__ELEMENT

    public static final EReference COLLECTION_DATA_TYPE__ELEMENT

  The meta object literal for the 'Element' reference list feature.

### NUMERICAL_DATA_TYPE

    public static final EClass NUMERICAL_DATA_TYPE

  The meta object literal for the '`Numerical Data Type`' class.

  See Also:
    `NumericalDataTypeImpl`, `SQLDataTypesPackageImpl.getNumericalDataType()`

### NUMERICAL_DATA_TYPE__PRECISION

    public static final EAttribute NUMERICAL_DATA_TYPE__PRECISION

  The meta object literal for the 'Precision' attribute feature.

### CHARACTER_STRING_DATA_TYPE

    public static final EClass CHARACTER_STRING_DATA_TYPE

  The meta object literal for the '`Character String Data Type`' class.

  See Also:
    `CharacterStringDataTypeImpl`, `SQLDataTypesPackageImpl.getCharacterStringDataType()`

### CHARACTER_STRING_DATA_TYPE__LENGTH

    public static final EAttribute CHARACTER_STRING_DATA_TYPE__LENGTH

  The meta object literal for the 'Length' attribute feature.

### CHARACTER_STRING_DATA_TYPE__COERCIBILITY

    public static final EAttribute CHARACTER_STRING_DATA_TYPE__COERCIBILITY

  The meta object literal for the 'Coercibility' attribute feature.

### CHARACTER_STRING_DATA_TYPE__FIXED_LENGTH

    public static final EAttribute CHARACTER_STRING_DATA_TYPE__FIXED_LENGTH

  The meta object literal for the 'Fixed Length' attribute feature.

### CHARACTER_STRING_DATA_TYPE__COLLATION_NAME

    public static final EAttribute CHARACTER_STRING_DATA_TYPE__COLLATION_NAME

  The meta object literal for the 'Collation Name' attribute feature.

### CHARACTER_STRING_DATA_TYPE__CHARACTER_SET

    public static final EReference CHARACTER_STRING_DATA_TYPE__CHARACTER_SET

  The meta object literal for the 'Character Set' reference feature.

### ROW_DATA_TYPE

    public static final EClass ROW_DATA_TYPE

  The meta object literal for the '`Row Data Type`' class.

  See Also:
    `RowDataTypeImpl`, `SQLDataTypesPackageImpl.getRowDataType()`

### ROW_DATA_TYPE__FIELDS

    public static final EReference ROW_DATA_TYPE__FIELDS

  The meta object literal for the 'Fields' containment reference list feature.

### ARRAY_DATA_TYPE

    public static final EClass ARRAY_DATA_TYPE

  The meta object literal for the '`Array Data Type`' class.

  See Also:
    `ArrayDataTypeImpl`, `SQLDataTypesPackageImpl.getArrayDataType()`

### ARRAY_DATA_TYPE__MAX_CARDINALITY

    public static final EAttribute ARRAY_DATA_TYPE__MAX_CARDINALITY

  The meta object literal for the 'Max Cardinality' attribute feature.

### MULTISET_DATA_TYPE

    public static final EClass MULTISET_DATA_TYPE

  The meta object literal for the '`Multiset Data Type`' class.

  See Also:
    `MultisetDataTypeImpl`, `SQLDataTypesPackageImpl.getMultisetDataType()`

### BOOLEAN_DATA_TYPE

    public static final EClass BOOLEAN_DATA_TYPE

  The meta object literal for the '`Boolean Data Type`' class.

  See Also:
    `BooleanDataTypeImpl`, `SQLDataTypesPackageImpl.getBooleanDataType()`

### INTERVAL_DATA_TYPE

    public static final EClass INTERVAL_DATA_TYPE

  The meta object literal for the '`Interval Data Type`' class.

  See Also:
    `IntervalDataTypeImpl`, `SQLDataTypesPackageImpl.getIntervalDataType()`

### INTERVAL_DATA_TYPE__LEADING_QUALIFIER

    public static final EAttribute INTERVAL_DATA_TYPE__LEADING_QUALIFIER

  The meta object literal for the 'Leading Qualifier' attribute feature.

### INTERVAL_DATA_TYPE__TRAILING_QUALIFIER

    public static final EAttribute INTERVAL_DATA_TYPE__TRAILING_QUALIFIER

  The meta object literal for the 'Trailing Qualifier' attribute feature.

### INTERVAL_DATA_TYPE__LEADING_FIELD_PRECISION

    public static final EAttribute INTERVAL_DATA_TYPE__LEADING_FIELD_PRECISION

  The meta object literal for the 'Leading Field Precision' attribute feature.

### INTERVAL_DATA_TYPE__TRAILING_FIELD_PRECISION

    public static final EAttribute INTERVAL_DATA_TYPE__TRAILING_FIELD_PRECISION

  The meta object literal for the 'Trailing Field Precision' attribute feature.

### INTERVAL_DATA_TYPE__FRACTIONAL_SECONDS_PRECISION

    public static final EAttribute INTERVAL_DATA_TYPE__FRACTIONAL_SECONDS_PRECISION

  The meta object literal for the 'Fractional Seconds Precision' attribute feature.

### BINARY_STRING_DATA_TYPE

    public static final EClass BINARY_STRING_DATA_TYPE

  The meta object literal for the '`Binary String Data Type`' class.

  See Also:
    `BinaryStringDataTypeImpl`, `SQLDataTypesPackageImpl.getBinaryStringDataType()`

### BINARY_STRING_DATA_TYPE__LENGTH

    public static final EAttribute BINARY_STRING_DATA_TYPE__LENGTH

  The meta object literal for the 'Length' attribute feature.

### CHARACTER_SET

    public static final EClass CHARACTER_SET

  The meta object literal for the '`Character Set`' class.

  See Also:
    `CharacterSetImpl`, `SQLDataTypesPackageImpl.getCharacterSet()`

### CHARACTER_SET__REPERTOIRE

    public static final EAttribute CHARACTER_SET__REPERTOIRE

  The meta object literal for the 'Repertoire' attribute feature.

### CHARACTER_SET__DEFAULT_COLLATION

    public static final EAttribute CHARACTER_SET__DEFAULT_COLLATION

  The meta object literal for the 'Default Collation' attribute feature.

### CHARACTER_SET__ENCODING

    public static final EAttribute CHARACTER_SET__ENCODING

  The meta object literal for the 'Encoding' attribute feature.

### CHARACTER_SET__SCHEMA

    public static final EReference CHARACTER_SET__SCHEMA

  The meta object literal for the 'Schema' reference feature.

### TIME_DATA_TYPE

    public static final EClass TIME_DATA_TYPE

  The meta object literal for the '`Time Data Type`' class.

  See Also:
    `TimeDataTypeImpl`, `SQLDataTypesPackageImpl.getTimeDataType()`

### TIME_DATA_TYPE__FRACTIONAL_SECONDS_PRECISION

    public static final EAttribute TIME_DATA_TYPE__FRACTIONAL_SECONDS_PRECISION

  The meta object literal for the 'Fractional Seconds Precision' attribute feature.

### TIME_DATA_TYPE__TIME_ZONE

    public static final EAttribute TIME_DATA_TYPE__TIME_ZONE

  The meta object literal for the 'Time Zone' attribute feature.

### DISTINCT_USER_DEFINED_TYPE

    public static final EClass DISTINCT_USER_DEFINED_TYPE

  The meta object literal for the '`Distinct User Defined Type`' class.

  See Also:
    `DistinctUserDefinedTypeImpl`, `SQLDataTypesPackageImpl.getDistinctUserDefinedType()`

### DISTINCT_USER_DEFINED_TYPE__PREDEFINED_REPRESENTATION

    public static final EReference DISTINCT_USER_DEFINED_TYPE__PREDEFINED_REPRESENTATION

  The meta object literal for the 'Predefined Representation' containment reference feature.

### STRUCTURED_USER_DEFINED_TYPE

    public static final EClass STRUCTURED_USER_DEFINED_TYPE

  The meta object literal for the '`Structured User Defined Type`' class.

  See Also:
    `StructuredUserDefinedTypeImpl`, `SQLDataTypesPackageImpl.getStructuredUserDefinedType()`

### STRUCTURED_USER_DEFINED_TYPE__INSTANTIABLE

    public static final EAttribute STRUCTURED_USER_DEFINED_TYPE__INSTANTIABLE

  The meta object literal for the 'Instantiable' attribute feature.

### STRUCTURED_USER_DEFINED_TYPE__FINAL

    public static final EAttribute STRUCTURED_USER_DEFINED_TYPE__FINAL

  The meta object literal for the 'Final' attribute feature.

### STRUCTURED_USER_DEFINED_TYPE__SUPER

    public static final EReference STRUCTURED_USER_DEFINED_TYPE__SUPER

  The meta object literal for the 'Super' reference feature.

### STRUCTURED_USER_DEFINED_TYPE__SUB

    public static final EReference STRUCTURED_USER_DEFINED_TYPE__SUB

  The meta object literal for the 'Sub' reference list feature.

### STRUCTURED_USER_DEFINED_TYPE__ATTRIBUTES

    public static final EReference STRUCTURED_USER_DEFINED_TYPE__ATTRIBUTES

  The meta object literal for the 'Attributes' containment reference list feature.

### STRUCTURED_USER_DEFINED_TYPE__METHODS

    public static final EReference STRUCTURED_USER_DEFINED_TYPE__METHODS

  The meta object literal for the 'Methods' containment reference list feature.

### ATTRIBUTE_DEFINITION

    public static final EClass ATTRIBUTE_DEFINITION

  The meta object literal for the '`Attribute Definition`' class.

  See Also:
    `AttributeDefinitionImpl`, `SQLDataTypesPackageImpl.getAttributeDefinition()`

### ATTRIBUTE_DEFINITION__SCOPE_CHECK

    public static final EAttribute ATTRIBUTE_DEFINITION__SCOPE_CHECK

  The meta object literal for the 'Scope Check' attribute feature.

### ATTRIBUTE_DEFINITION__SCOPE_CHECKED

    public static final EAttribute ATTRIBUTE_DEFINITION__SCOPE_CHECKED

  The meta object literal for the 'Scope Checked' attribute feature.

### ATTRIBUTE_DEFINITION__DEFAULT_VALUE

    public static final EAttribute ATTRIBUTE_DEFINITION__DEFAULT_VALUE

  The meta object literal for the 'Default Value' attribute feature.

### FIXED_PRECISION_DATA_TYPE

    public static final EClass FIXED_PRECISION_DATA_TYPE

  The meta object literal for the '`Fixed Precision Data Type`' class.

  See Also:
    `FixedPrecisionDataTypeImpl`, `SQLDataTypesPackageImpl.getFixedPrecisionDataType()`

### DOMAIN

    public static final EClass DOMAIN

  The meta object literal for the '`Domain`' class.

  See Also:
    `DomainImpl`, `SQLDataTypesPackageImpl.getDomain()`

### DOMAIN__CONSTRAINT

    public static final EReference DOMAIN__CONSTRAINT

  The meta object literal for the 'Constraint' containment reference list feature.

### DOMAIN__DEFAULT_VALUE

    public static final EAttribute DOMAIN__DEFAULT_VALUE

  The meta object literal for the 'Default Value' attribute feature.

### FIELD

    public static final EClass FIELD

  The meta object literal for the '`Field`' class.

  See Also:
    `FieldImpl`, `SQLDataTypesPackageImpl.getField()`

### FIELD__SCOPE_CHECK

    public static final EAttribute FIELD__SCOPE_CHECK

  The meta object literal for the 'Scope Check' attribute feature.

### FIELD__SCOPE_CHECKED

    public static final EAttribute FIELD__SCOPE_CHECKED

  The meta object literal for the 'Scope Checked' attribute feature.

### REFERENCE_DATA_TYPE

    public static final EClass REFERENCE_DATA_TYPE

  The meta object literal for the '`Reference Data Type`' class.

  See Also:
    `ReferenceDataTypeImpl`, `SQLDataTypesPackageImpl.getReferenceDataType()`

### REFERENCE_DATA_TYPE__SCOPE_TABLE

    public static final EReference REFERENCE_DATA_TYPE__SCOPE_TABLE

  The meta object literal for the 'Scope Table' reference feature.

### REFERENCE_DATA_TYPE__REFERENCED_TYPE

    public static final EReference REFERENCE_DATA_TYPE__REFERENCED_TYPE

  The meta object literal for the 'Referenced Type' reference feature.

### CONSTRUCTED_DATA_TYPE

    public static final EClass CONSTRUCTED_DATA_TYPE

  The meta object literal for the '`Constructed Data Type`' class.

  See Also:
    `ConstructedDataTypeImpl`, `SQLDataTypesPackageImpl.getConstructedDataType()`

### SQL_DATA_TYPE

    public static final EClass SQL_DATA_TYPE

  The meta object literal for the '`SQL Data Type`' class.

  See Also:
    `SQLDataTypeImpl`, `SQLDataTypesPackageImpl.getSQLDataType()`

### DATA_LINK_DATA_TYPE

    public static final EClass DATA_LINK_DATA_TYPE

  The meta object literal for the '`Data Link Data Type`' class.

  See Also:
    `DataLinkDataTypeImpl`, `SQLDataTypesPackageImpl.getDataLinkDataType()`

### DATA_LINK_DATA_TYPE__LENGTH

    public static final EAttribute DATA_LINK_DATA_TYPE__LENGTH

  The meta object literal for the 'Length' attribute feature.

### DATA_LINK_DATA_TYPE__LINK_CONTROL

    public static final EAttribute DATA_LINK_DATA_TYPE__LINK_CONTROL

  The meta object literal for the 'Link Control' attribute feature.

### DATA_LINK_DATA_TYPE__INTEGRITY_CONTROL

    public static final EAttribute DATA_LINK_DATA_TYPE__INTEGRITY_CONTROL

  The meta object literal for the 'Integrity Control' attribute feature.

### DATA_LINK_DATA_TYPE__READ_PERMISSION

    public static final EAttribute DATA_LINK_DATA_TYPE__READ_PERMISSION

  The meta object literal for the 'Read Permission' attribute feature.

### DATA_LINK_DATA_TYPE__WRITE_PERMISSION

    public static final EAttribute DATA_LINK_DATA_TYPE__WRITE_PERMISSION

  The meta object literal for the 'Write Permission' attribute feature.

### DATA_LINK_DATA_TYPE__RECOVERY

    public static final EAttribute DATA_LINK_DATA_TYPE__RECOVERY

  The meta object literal for the 'Recovery' attribute feature.

### DATA_LINK_DATA_TYPE__UNLINK

    public static final EAttribute DATA_LINK_DATA_TYPE__UNLINK

  The meta object literal for the 'Unlink' attribute feature.

### USER_DEFINED_TYPE_ORDERING

    public static final EClass USER_DEFINED_TYPE_ORDERING

  The meta object literal for the '`User Defined Type Ordering`' class.

  See Also:
    `UserDefinedTypeOrderingImpl`, `SQLDataTypesPackageImpl.getUserDefinedTypeOrdering()`

### USER_DEFINED_TYPE_ORDERING__ORDERING_FORM

    public static final EAttribute USER_DEFINED_TYPE_ORDERING__ORDERING_FORM

  The meta object literal for the 'Ordering Form' attribute feature.

### USER_DEFINED_TYPE_ORDERING__ORDERING_CATEGORY

    public static final EAttribute USER_DEFINED_TYPE_ORDERING__ORDERING_CATEGORY

  The meta object literal for the 'Ordering Category' attribute feature.

### USER_DEFINED_TYPE_ORDERING__ORDERING_ROUTINE

    public static final EReference USER_DEFINED_TYPE_ORDERING__ORDERING_ROUTINE

  The meta object literal for the 'Ordering Routine' reference feature.

### DATE_DATA_TYPE

    public static final EClass DATE_DATA_TYPE

  The meta object literal for the '`Date Data Type`' class.

  See Also:
    `DateDataTypeImpl`, `SQLDataTypesPackageImpl.getDateDataType()`

### EXACT_NUMERIC_DATA_TYPE

    public static final EClass EXACT_NUMERIC_DATA_TYPE

  The meta object literal for the '`Exact Numeric Data Type`' class.

  See Also:
    `ExactNumericDataTypeImpl`, `SQLDataTypesPackageImpl.getExactNumericDataType()`

### EXACT_NUMERIC_DATA_TYPE__SCALE

    public static final EAttribute EXACT_NUMERIC_DATA_TYPE__SCALE

  The meta object literal for the 'Scale' attribute feature.

### APPROXIMATE_NUMERIC_DATA_TYPE

    public static final EClass APPROXIMATE_NUMERIC_DATA_TYPE

  The meta object literal for the '`Approximate Numeric Data Type`' class.

  See Also:
    `ApproximateNumericDataTypeImpl`, `SQLDataTypesPackageImpl.getApproximateNumericDataType()`

### INTEGER_DATA_TYPE

    public static final EClass INTEGER_DATA_TYPE

  The meta object literal for the '`Integer Data Type`' class.

  See Also:
    `IntegerDataTypeImpl`, `SQLDataTypesPackageImpl.getIntegerDataType()`

### XML_DATA_TYPE

    public static final EClass XML_DATA_TYPE

  The meta object literal for the '`XML Data Type`' class.

  See Also:
    `XMLDataTypeImpl`, `SQLDataTypesPackageImpl.getXMLDataType()`

### COERCIBILITY_TYPE

    public static final EEnum COERCIBILITY_TYPE

  The meta object literal for the '`Coercibility Type`' enum.

  See Also:
    `CoercibilityType`, `SQLDataTypesPackageImpl.getCoercibilityType()`

### INTERVAL_QUALIFIER_TYPE

    public static final EEnum INTERVAL_QUALIFIER_TYPE

  The meta object literal for the '`Interval Qualifier Type`' enum.

  See Also:
    `IntervalQualifierType`, `SQLDataTypesPackageImpl.getIntervalQualifierType()`

### ORDERING_TYPE

    public static final EEnum ORDERING_TYPE

  The meta object literal for the '`Ordering Type`' enum.

  See Also:
    `OrderingType`, `SQLDataTypesPackageImpl.getOrderingType()`

### ORDERING_CATEGORY_TYPE

    public static final EEnum ORDERING_CATEGORY_TYPE

  The meta object literal for the '`Ordering Category Type`' enum.

  See Also:
    `OrderingCategoryType`, `SQLDataTypesPackageImpl.getOrderingCategoryType()`

### PRIMITIVE_TYPE

    public static final EEnum PRIMITIVE_TYPE

  The meta object literal for the '`Primitive Type`' enum.

  See Also:
    `PrimitiveType`, `SQLDataTypesPackageImpl.getPrimitiveType()`

### LINK_CONTROL_OPTION

    public static final EEnum LINK_CONTROL_OPTION

  The meta object literal for the '`Link Control Option`' enum.

  See Also:
    `LinkControlOption`, `SQLDataTypesPackageImpl.getLinkControlOption()`

### INTEGRITY_CONTROL_OPTION

    public static final EEnum INTEGRITY_CONTROL_OPTION

  The meta object literal for the '`Integrity Control Option`' enum.

  See Also:
    `IntegrityControlOption`, `SQLDataTypesPackageImpl.getIntegrityControlOption()`

### READ_PERMISSION_OPTION

    public static final EEnum READ_PERMISSION_OPTION

  The meta object literal for the '`Read Permission Option`' enum.

  See Also:
    `ReadPermissionOption`, `SQLDataTypesPackageImpl.getReadPermissionOption()`

### WRITE_PERMISSION_OPTION

    public static final EEnum WRITE_PERMISSION_OPTION

  The meta object literal for the '`Write Permission Option`' enum.

  See Also:
    `WritePermissionOption`, `SQLDataTypesPackageImpl.getWritePermissionOption()`

### UNLINK_OPTION

    public static final EEnum UNLINK_OPTION

  The meta object literal for the '`Unlink Option`' enum.

  See Also:
    `UnlinkOption`, `SQLDataTypesPackageImpl.getUnlinkOption()`

Copyright © 2006 Actuate, IBM Corporation, Sybase, Inc. and others. All rights reserved.